Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Interface RelationSupportMBean

All Superinterfaces:
  Relation

All Known Implementing Classes:
  RelationSupport

public interface RelationSupportMBean
extends Relation

This interface defines the management interface for a relation created internally within the relation service. The relation can have only roles - no attributes or mehods.

The relation support managed bean can be created externally, including extending it, and then registered with the relation service.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.

Method Summary
`Boolean` | `isInRelationService()` Check to see whether this relation thinks it is in relation service.
`void` | `setRelationServiceManagementFlag(Boolean value)` Set the flag to specify whether this relation is registered with the relation service.

Methods inherited from interface javax.management.relation.Relation
`getAllRoles, getReferencedMBeans, getRelationId, getRelationServiceName, getRelationTypeName, getRole, getRoleCardinality, getRoles, handleMBeanUnregistration, retrieveAllRoles, setRole, setRoles`

Method Detail

### isInRelationService

    public Boolean isInRelationService()

  Check to see whether this relation thinks it is in relation service.

  WARNING: This is not a dynamic check. The flag is set within the relation support object by the relation service, malicious programs may modifiy it to an incorrect value.

  Returns:
    true when it is registered.

### setRelationServiceManagementFlag

    public void setRelationServiceManagementFlag(Boolean value)
                                          throws IllegalArgumentException

  Set the flag to specify whether this relation is registered with the relation service.

  WARNING: This method is exposed for management by the relation service. Using this method outside of the relation service does not affect the registration with the relation service.

  Parameters:
    `value` - pass true for managed by the relation service, false otherwise.
  Throws:
    `IllegalArgumentException` - for a null value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.